Subject: Closing issue 19: Allow autoconfig even with non-CGA addrs e.g. ::1

From: Pekka Nikander <[email-masked]>
Date: Mon, 13 Oct 2003 13:53:01 +0300

Francis Dupont has requirested to allow the use of non-CGA
addresses instead of CGA addresses, and to use certificates
to authorize to use of such addresses.  This is OK and in
line with the earlier discussions at the WG.  To clarify
this, the following changes to the document were requested
and made:

>>  - same (comment/request for improvement)
>> 
>>    o  Cryptographically Generated Addresses are used to assure that the
>>       sender of a Neighbor or Router Advertisement is the owner of an
>>       the claimed address.  A public-private key pair needs to be
>>       generated by all nodes before they can claim an address.
>> 
>>   => this suggests that all addresses should be CGAs. Of course this
>>   is only one of the two cases:
>>    - certified addresses (always the case for universal or static IID)
>>    - CGAs (which always give local IID)

Proposed resolution:  Added the following new text after the old text:

          This specification also allows one to use non-CGA addresses
          and to use certificates to authorized their use.  However,
          the details of such use have been left for future work.

>>  - 8.3 Other Requirements (comment)
>> 
>>    Hosts that use stateless address autoconfiguration MUST generate a
>>    new CGA as specified in Section 4 of [27] for each new
>>    autoconfiguration run.
>> 
>>   => I disagree: nodes should have the choice between using a certified
>>   IID or a CGA based IID. My main name-server is a host and I don't
>>   want to use CGA for it for many reasons. Of course, I use stateless
>>   autoconfig even I've switched from EID64 IID to ::1 IID some months
>>   ago.

Proposed resolution:  Replace the text above with a new one:

        Hosts that use stateless address autoconfiguration, SHOULD
        generate a new CGA as specified in Section 4 of [27] for each
        new autoconfiguration run.  The hosts MAY continue to use the
        same public key and modifier, and start the process from Step 4.

        For natural reasons, hosts that are configured with a static
        address (e.g. PREFIX::1), cannot use CGA.  They SHOULD acquire
        a certificate and use certificate chain based authorization.

>>    It is outside the scope of this specification to describe the use of
>>    trusted root authorization between hosts with dynamically changing
>>    addresses.  Such dynamically changing addresses may be the result of
>>    stateful or stateless address autoconfiguration or through the use of
>>    RFC 3041 [9].  If the CGA method is not used, hosts would be required
>>    to exchange certificate chains that terminate in a certificate
>>    authorizing a host to use an IP address having a particular interface
>>    identifier.  This specification does not specify the format of such
>>    certificates, since there are currently a few cases where such
>>    certificates are required by the link layer and it is up to the link
>>    layer to provide certification for the interface identifier.  This
>>    may be the subject of a future specification.
>> 
>>   => this is not sound with the MUST of the previous paragraph.
>>   And not with all the CGA=yes/no in next sections...

This should be consistent now, with the above addition, shouldn't it?

Unless anyone objects, I will consider this issue now Solved with these
changes.

--Pekka Nikander

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------

---

From: "James Kempf" <[email-masked]>
Date: Mon, 13 Oct 2003 11:52:22 -0700

I think there might be an issue with saying that cert-based SEND is FFS and
then saying that hosts with static addresses SHOULD use it.

Or?

            jak

---

From: Pekka Nikander <[email-masked]>
Date: Tue, 14 Oct 2003 09:32:36 +0300

> then saying that hosts with static addresses SHOULD use it.

Jari already noticed this, and provided some alternative text.
I think his suggestion is ok:

>    This specification does not address the protection of Neighbor
>    Discovery packets for hosts that are configured with a static address
>    (e.g., PREFIX::1). Future certificate chain based authorization
>    specifications are needed for such hosts.

--Pekka

---

From: "James Kempf" <[email-masked]>
Date: Tue, 14 Oct 2003 08:46:24 -0700

Yes, that sounds fine.

            jak

----- Original Message ----- 
From: "Pekka Nikander" <[email-masked]>
To: "James Kempf" <[email-masked]>
Cc: "Pekka Nikander" <[email-masked]>; "SEND WG"
<[email-masked]>; "Francis Dupont"
<[email-masked]>
Sent: Monday, October 13, 2003 11:32 PM
Subject: Re: Closing issue 19: Allow autoconfig even with non-CGA addrs e.g.
::1